<?php get_header();?>

<?php if (have_posts()) : ?>
	  <?php if (is_search()) { ?>
		<h2><?php _e('Search'); ?></h2>
	<?php } ?>

<?php while (have_posts()) : the_post(); ?>

<?php if (is_home() || is_paged()) { ?>

	<?php the_date('','<h2>','</h2>'); ?>

	<div class="post" id="post-<?php the_ID(); ?>">

	<h2><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
	<?php edit_post_link(__('Edit')); ?>

	<div>
	<?php the_content("" . the_title('', ' &raquo;', false)); ?>
	</div>
	
	<?php if ( comments_open() ) : ?>
		<p> <a href="<?php comments_link(); ?>">
		<?php _e('Comments'); ?> (<?php comments_number('0','1','%'); ?>)</a></p>
	<?php endif; ?>

</div>
	<?php } ?>

<?php if (is_search()) { ?>
		<div class="post">
		<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3>
		
			<div><?php the_excerpt() ?></div>

		</div>
<?php } ?>


<?php endwhile; else: ?>
		<h2><?php _e('Not found'); ?></h2>

<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
<?php endif; ?>
<div>
	<ul class="link">
	<li class="left"><?php next_posts_link(__('&laquo; Previous Entries')) ?></li>
	<li class="right"><?php previous_posts_link(__('Next Entries &raquo;')) ?></li>
	</ul>
</div>

<?php get_footer(); ?>
